export const mockUser = {
  id: 'user-uuid-1',
  clerkId: null,
  email: 'user1@example.com',
  emailVerified: true,
  username: 'user1',
  displayName: 'User One',
  imageUrl: null,
  isAdmin: false,
  timezone: null,
  createdAt: new Date('2025-01-01'),
  updatedAt: new Date('2025-01-01'),
};

export const mockAdminUser = {
  id: 'admin-uuid-1',
  clerkId: null,
  email: 'admin@example.com',
  emailVerified: true,
  username: 'admin',
  displayName: 'Admin User',
  imageUrl: null,
  isAdmin: true,
  timezone: null,
  createdAt: new Date('2025-01-01'),
  updatedAt: new Date('2025-01-01'),
};

export const mockUsers = [
  mockUser,
  {
    id: 'user-uuid-2',
    clerkId: null,
    email: 'user2@example.com',
    emailVerified: true,
    username: 'user2',
    displayName: 'User Two',
    imageUrl: null,
    isAdmin: false,
    timezone: null,
    createdAt: new Date('2025-01-01'),
    updatedAt: new Date('2025-01-01'),
  },
  {
    id: 'user-uuid-3',
    clerkId: null,
    email: 'user3@example.com',
    emailVerified: true,
    username: 'user3',
    displayName: 'User Three',
    imageUrl: null,
    isAdmin: false,
    timezone: null,
    createdAt: new Date('2025-01-01'),
    updatedAt: new Date('2025-01-01'),
  },
  mockAdminUser,
];
